// See https://aka.ms/new-console-template for more information

// ExcImport: Excel Importer, per IobWin in logica lettura Giacenze
// parametri:
// $0: Path ConfigFile file per esecuzione


using EgwCApp.XmlProc;

string separator = "--------------------------------------";
string fileName = "";

// controllo args, se mancassero o incompleti mostro help
if (args.Length < 1)
{
    Console.WriteLine(separator);
    Console.WriteLine("- ExcelFileImporter - Core 6.0");
    Console.WriteLine("- v.0.0.0.0 | @Egalware 2022+");
    Console.WriteLine(separator);
    Console.WriteLine();
    Console.WriteLine("Mancano parametri per esecuzione:");
    Console.WriteLine("");
    Console.WriteLine("$0: ConfigFile da impiegare");

    // provo a processare testConf...
    fileName = "testConf.json";
}
else
{
    fileName = args[0];
}

// ora processo se ho filename valido...
if (!string.IsNullOrEmpty(fileName))
{
    // verifico se ho file...
    if (File.Exists(fileName))
    {
        ImportProc importObj = new ImportProc(fileName);
        bool stepOk = importObj.decodeConfig();
        if (stepOk)
        {
            stepOk = importObj.doProcess();
            if (!stepOk)
            {
                Console.WriteLine("Errore in processing file");
            }
            else
            {
                importObj.doReturn();
            }
        }
        else
        {
            Console.WriteLine("Errore in processing config file");
        }
    }
    else
    {
        Console.WriteLine("Errore file non trovato!");
    }
}